## org.metaabm.act.util
Class MetaABMActResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.metaabm.act.util.MetaABMActResourceFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.ecore.resource.Resource.Factory

    public class MetaABMActResourceFactoryImpl

extends org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

Constructor Summary
`MetaABMActResourceFactoryImpl()` Creates an instance of the resource factory.

Method Summary
`org.eclipse.emf.ecore.resource.Resource` `createResource(org.eclipse.emf.common.util.URI uri)` Creates an instance of the resource.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaABMActResourceFactoryImpl

    public MetaABMActResourceFactoryImpl()

  Creates an instance of the resource factory.

Method Detail

### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

  Creates an instance of the resource.

  Specified by:
    `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`
  Overrides:
    `createResource` in class `org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl`